Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractNote

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractNote

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractNote extends IdTitle
Примечание договора.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractNote()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  `int`
  `getContractId()`
  `Date`
  `getDate()`
  `LocalDateTime`
  `getDateTime()`
  `int`
  `getUserId()`
  `boolean`
  `isVisible()`
  `ContractNote`
  `setComment(String comment)`
  `ContractNote`
  `setContractId(int contractId)`
  `ContractNote`
  `setDateTime(LocalDateTime time)`
  `ContractNote`
  `setId(int id)`
  Устанавливает id объекта
  `ContractNote`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `ContractNote`
  `setUserId(int userId)`
  `ContractNote`
  `setVisible(boolean visible)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractNote

    public ContractNote()

- ## Method Details

  - ### getComment

    public String getComment()

  - ### getContractId

    public int getContractId()

  - ### getDate

    public Date getDate()

  - ### getDateTime

    public LocalDateTime getDateTime()

  - ### getUserId

    public int getUserId()

  - ### isVisible

    public boolean isVisible()

  - ### setComment

    public ContractNote setComment(String comment)

  - ### setContractId

    public ContractNote setContractId(int contractId)

  - ### setDateTime

    public ContractNote setDateTime(LocalDateTime time)

  - ### setId

    public ContractNote setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public ContractNote setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setUserId

    public ContractNote setUserId(int userId)

  - ### setVisible

    public ContractNote setVisible(boolean visible)